> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List portfolio fee rates

> Retrieves the Perpetual Future and Spot fee rate tiers for the user.

<Tabs groupId="programming-language">
  <Tab value="Java" title="Java">
    ```java theme={null}
    PortfoliosService portfoliosService = IntxServiceFactory.createPortfoliosService(client);
    ListPortfolioFeeRatesResponse response = portfoliosService.listPortfolioFeeRates();
    ```

    For more information, please visit the [INTX Java SDK](https://github.com/coinbase-samples/intx-sdk-java).
  </Tab>

  <Tab value=".NET" title=".NET">
    ```cs theme={null}
    var portfoliosService = new PortfoliosService(client);
    var response = portfoliosService.ListPortfolioFeeRates();
    ```
  </Tab>

  <Tab value="Python" title="Python">
    ```python theme={null}
    client = IntxClient()
    request = ListPortfolioFeeRatesRequest()
    response = client.list_portfolio_fee_rates(request)
    ```

    For more information, please visit the [INTX Python SDK](https://github.com/coinbase-samples/intx-sdk-py).
  </Tab>

  <Tab value="Typescript" title="TS/JS">
    ```js theme={null}
    const portfoliosService = new PortfoliosService(client);

    portfoliosService.listPortfolioFeeRates().then(async (response) => {
        console.log('Portfolio Fee Rates: ', response);
    })
    ```

    For more information, please visit the [INTX TS SDK](https://github.com/coinbase-samples/intx-sdk-ts).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /api/v1/portfolios/fee-rates
openapi: 3.0.3
info:
  title: REST API
  description: >
    # Welcome to Coinbase INTX API

    ## Introduction

    The INTX APIs allow institutions to trade and manage orders on the
    International Exchange. The following API pages detail various REST API
    endpoints we offer.

    ## Getting Started

    To get started, please visit one of the following pages:

    - [Quickstart](/international-exchange/introduction/quickstart)

    -
    [Overview](/api-reference/international-exchange-api/rest-api/introduction)

    -
    [Authentication](/api-reference/international-exchange-api/rest-api/authentication)

    - [Rate Limits](/international-exchange/introduction/rate-limits-overview)

    ## FIX API

    - [FIX API reference](/international-exchange/fix-api/fix-api-overview)

    ## WebSocket API

    - [WebSocket API
    reference](/international-exchange/websocket-feed/websocket-overview)
  version: '1.0'
servers:
  - url: https://api.international.coinbase.com
security: []
paths:
  /api/v1/portfolios/fee-rates:
    get:
      tags:
        - Portfolios
      summary: List portfolio fee rates
      description: Retrieves the Perpetual Future and Spot fee rate tiers for the user.
      operationId: getPortfoliosFeeRates
      responses:
        '200':
          description: Fee rate tiers list
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PortfolioFeeRate_v1'
        '400':
          description: Invalid attribute
      security:
        - auth_client_id: []
          auth_passphrase: []
          auth_signature: []
          auth_timestamp: []
components:
  schemas:
    PortfolioFeeRate_v1:
      type: object
      properties:
        instrument_type:
          $ref: '#/components/schemas/InstrumentType'
        fee_tier_id:
          description: Fee tier id
          type: string
          example: 1
        is_vip_tier:
          description: Whether the fee tier is a VIP tier
          type: boolean
        fee_tier_name:
          description: Name for the fee rate tier
          type: string
          example: Public Tier 1
        maker_fee_rate:
          description: The fee rate charged for order making liquidity
          type: string
          example: 0.02
        taker_fee_rate:
          description: The fee rate charged for orders taking liquidity
          type: string
          example: 0.04
        is_override:
          description: Whether maker/taker fee rates are manually overridden
          type: boolean
        trailing_30day_volume:
          description: Sum of trading volume from last rolling 30 days
          type: string
          example: 1000
        trailing_24hr_usdc_balance:
          description: >-
            Average of all hourly USDC balance snapshots from the last rolling
            24 hours
          type: string
          example: 1000
    InstrumentType:
      description: The type of instrument
      type: string
      enum:
        - SPOT
        - PERP
      example: PERP
  securitySchemes:
    auth_client_id:
      type: apiKey
      name: CB-ACCESS-KEY
      in: header
      description: The Client ID that owns the API Key for the request
    auth_passphrase:
      type: apiKey
      name: CB-ACCESS-PASSPHRASE
      in: header
      description: The pass phrase affiliated with the API Key
    auth_signature:
      type: apiKey
      name: CB-ACCESS-SIGN
      in: header
      description: >-
        A HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
    auth_timestamp:
      type: apiKey
      name: CB-ACCESS-TIMESTAMP
      in: header
      description: The timestamp of when the request is being made

````